Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.util.concurrent
Class ExecutionError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              com.google.common.util.concurrent.ExecutionError

All Implemented Interfaces:
  Serializable

    @Beta
    public class ExecutionError

extends Error

`Error` variant of `ExecutionException`. As with `ExecutionException`, the error's cause comes from a failed task, possibly run in another thread. That cause should itself be an `Error`; if not, use `ExecutionException` or `UncheckedExecutionException`. This allows the client code to continue to distinguish between exceptions and errors, even when they come from other threads.

Since:
  10.0
Author:
  Chris Povirk
See Also:
  Serialized Form

Constructor Summary
`protected` | `ExecutionError()` Creates a new instance with `null` as its detail message.
`` | `ExecutionError(Error cause)` Creates a new instance with the given cause.
`protected` | `ExecutionError(String message)` Creates a new instance with the given detail message.
`` | `ExecutionError(String message, Error cause)` Creates a new instance with the given detail message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExecutionError

    protected ExecutionError()

  Creates a new instance with `null` as its detail message.

### ExecutionError

    protected ExecutionError(String message)

  Creates a new instance with the given detail message.

### ExecutionError

    public ExecutionError(String message,
                          Error cause)

  Creates a new instance with the given detail message and cause.

### ExecutionError

    public ExecutionError(Error cause)

  Creates a new instance with the given cause.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.